export const columns = [
  { title: window.$t('dataPackage.id'), dataIndex: 'id', align: 'center', ellipsis: true },
  { title: '供应商', dataIndex: 'source', align: 'center', ellipsis: true },
  { title: '流量包名称', dataIndex: 'productName', align: 'center', ellipsis: true },
  { title: '地区名称', dataIndex: 'dataZoneName', align: 'center', ellipsis: true },
  { title: '套餐有效天数', dataIndex: 'validDays', align: 'center', ellipsis: true },
  { title: '套餐可用流量', dataIndex: 'total', align: 'center', ellipsis: true },
  { title: '语音呼入流量', dataIndex: 'voiceMt', align: 'center', ellipsis: true},
  { title: '语音呼出流量', dataIndex: 'voiceMo', align: 'center', ellipsis: true },
  { title: '短信总条数', dataIndex: 'smsTotal', align: 'center', ellipsis: true },
  { title: '默认限速', dataIndex: 'dataSpeedDefault', align: 'center', ellipsis: true },
  { title: '单次请求可用流量', dataIndex: 'dataQuota', align: 'center', ellipsis: true },
  { title:'有效期类型', dataIndex: 'validDayType', align: 'center', ellipsis: true },
  { title: '费率组名称', dataIndex: 'rateGroupName', align: 'center', ellipsis: true },
  { title: '语音呼出地区名称', dataIndex: 'zoneVoiceMtName', align: 'center', ellipsis: true },
  { title: '语音呼入地区名称', dataIndex: 'zoneVoiceMoName', align: 'center', ellipsis: true },
  { title: '流量使用地区名称', dataIndex: 'zoneDataName', align: 'center', ellipsis: true },
  { title: '短信使用地区名称', dataIndex: 'zoneSmsName', align: 'center', ellipsis: true},
  // {
  //   title: window.$t('global.common.operations'),
  //   dataIndex: 'id',
  //   slotName: 'id',
  //   align: 'center',
  //   width: 180,
  //   fixed: "right",
  // }
]

export const SearchFormList = [
  {
    type: "select",
    label: "供应商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "流量包名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "地区名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "套餐有效天数",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "套餐可用流量",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "默认限速",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "流量使用地区名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "短信使用地区名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "语音呼出地区名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "语音呼入地区名称",
    field: "userName", 
    value: "", // 双向绑定的值
  }
]


